Index: finger/sprint.c
===================================================================
RCS file: /cvs/src/usr.bin/finger/sprint.c,v
retrieving revision 1.3
diff -u -u -r1.3 sprint.c
--- finger/sprint.c	4 Oct 2003 20:36:44 -0000	1.3
+++ finger/sprint.c	7 Nov 2004 20:02:14 -0000
@@ -83,7 +83,7 @@
 	 */
 #define	MAXREALNAME	20
 #define MAXHOSTNAME     17      /* in reality, hosts are never longer than 16 */
-	(void)printf("%-*s %-*s%s  %s\n", UT_NAMESIZE, "Login", MAXREALNAME,
+	printf("%-*s %-*s%s  %s\n", UT_NAMESIZE, "Login", MAXREALNAME,
 	    "Name", " TTY  Idle  Login  Time ", (gflag) ? "" :
 	    oflag ? "Office  Phone" : "Where");
 
@@ -100,57 +100,57 @@
 			namelen = MAXREALNAME;
 			if (w->info == LOGGEDIN && !w->writable)
 				--namelen;	/* leave space before `*' */
-			(void)printf("%-*.*s %-*.*s", UT_NAMESIZE, UT_NAMESIZE,
+			printf("%-*.*s %-*.*s", UT_NAMESIZE, UT_NAMESIZE,
 				pn->name, MAXREALNAME, namelen,
 				pn->realname ? pn->realname : "");
 			if (!w->loginat) {
-				(void)printf("  *     *   No logins   ");
+				printf("  *     *   No logins   ");
 				goto office;
 			}
-			(void)putchar(w->info == LOGGEDIN && !w->writable ?
+			putchar(w->info == LOGGEDIN && !w->writable ?
 			    '*' : ' ');
 			if (*w->tty)
-				(void)printf("%-3.3s ",
+				printf("%-3.3s ",
 					     (strncmp(w->tty, "tty", 3)
 					      && strncmp(w->tty, "cua", 3))
 					     ? w->tty : w->tty + 3);
 			else
-				(void)printf("    ");
+				printf("    ");
 			if (w->info == LOGGEDIN) {
 				stimeprint(w);
-				(void)printf("  ");
+				printf("  ");
 			} else
-				(void)printf("    *  ");
+				printf("    *  ");
 			lc = localtime(&w->loginat);
 #define SECSPERDAY 86400
 #define DAYSPERWEEK 7
 #define DAYSPERNYEAR 365
 			if (now - w->loginat < SECSPERDAY * (DAYSPERWEEK - 1)) {
-				(void)strftime(p, sizeof(p), "%a", lc);
+				strftime(p, sizeof(p), "%a", lc);
 			} else {
-				(void)strftime(p, sizeof(p),
+				strftime(p, sizeof(p),
 					     d_first ? "%e %b" : "%b %e", lc);
 			}
-			(void)printf("%-6.6s", p);
+			printf("%-6.6s", p);
 			if (now - w->loginat >= SECSPERDAY * DAYSPERNYEAR / 2) {
-				(void)strftime(p, sizeof(p), "%Y", lc);
+				strftime(p, sizeof(p), "%Y", lc);
 			} else {
-				(void)strftime(p, sizeof(p), "%R", lc);
+				strftime(p, sizeof(p), "%R", lc);
 			}
-			(void)printf(" %-5.5s", p);
+			printf(" %-5.5s", p);
 office:
 			if (gflag)
 				goto no_gecos;
 			if (oflag) {
 				if (pn->office)
-					(void)printf(" %-7.7s", pn->office);
+					printf(" %-7.7s", pn->office);
 				else if (pn->officephone)
-					(void)printf(" %-7.7s", " ");
+					printf(" %-7.7s", " ");
 				if (pn->officephone)
-					(void)printf(" %-.9s",
+					printf(" %-.9s",
 					    prphone(pn->officephone));
 			} else
-				(void)printf(" %.*s", MAXHOSTNAME, w->host);
+				printf(" %.*s", MAXHOSTNAME, w->host);
 no_gecos:
 			putchar('\n');
 		}
@@ -166,12 +166,12 @@
 	if (!delta->tm_yday)
 		if (!delta->tm_hour)
 			if (!delta->tm_min)
-				(void)printf("     ");
+				printf("     ");
 			else
-				(void)printf("%5d", delta->tm_min);
+				printf("%5d", delta->tm_min);
 		else
-			(void)printf("%2d:%02d",
+			printf("%2d:%02d",
 			    delta->tm_hour, delta->tm_min);
 	else
-		(void)printf("%4dd", delta->tm_yday);
+		printf("%4dd", delta->tm_yday);
 }
Index: finger/util.c
===================================================================
RCS file: /cvs/src/usr.bin/finger/util.c,v
retrieving revision 1.3
diff -u -u -r1.3 util.c
--- finger/util.c	4 Oct 2003 20:36:44 -0000	1.3
+++ finger/util.c	7 Nov 2004 20:02:14 -0000
@@ -72,7 +72,7 @@
 	 * XXX
 	 * Why do we skip asterisks!?!?
 	 */
-	(void)strncpy(p = tbuf, pw->pw_gecos, sizeof(tbuf));
+	strncpy(p = tbuf, pw->pw_gecos, sizeof(tbuf));
 	tbuf[sizeof(tbuf) - 1] = '\0';
 	if (*p == '*')
 		++p;
@@ -83,7 +83,7 @@
 
 	for (t = name; t < &name[sizeof(name) - 1] && (*t = *p) != '\0'; ++p) {
 		if (*t == '&') { 
-			(void)strncpy(t, pw->pw_name, 
+			strncpy(t, pw->pw_name, 
 			    sizeof(name) - (t - name));
 			name[sizeof(name) - 1] = '\0';
 			while (t < &name[sizeof(name) - 1] && *++t)
@@ -310,7 +310,7 @@
 	struct stat sb;
 	time_t touched;
 
-	(void)snprintf(tbuf, sizeof(tbuf), "%s/%s", _PATH_DEV, w->tty);
+	snprintf(tbuf, sizeof(tbuf), "%s/%s", _PATH_DEV, w->tty);
 	if (stat(tbuf, &sb) < 0) {
 		warn("%s", tbuf);
 		return;
@@ -344,7 +344,7 @@
 		err(1, "strdup failed");
 
 	/* why do we skip asterisks!?!? */
-	(void)strncpy(bp = tbuf, pw->pw_gecos, sizeof(tbuf));
+	strncpy(bp = tbuf, pw->pw_gecos, sizeof(tbuf));
 	tbuf[sizeof(tbuf) - 1] = '\0';
 	if (*bp == '*')
 		++bp;
@@ -354,7 +354,7 @@
 		return;
 	for (t = name; t < &name[sizeof(name) - 1] && (*t = *p) != '\0'; ++p) {
 		if (*t == '&') {
-			(void)strncpy(t, pw->pw_name, 
+			strncpy(t, pw->pw_name, 
 			    sizeof(name) - (t - name));
 			name[sizeof(name) - 1] = '\0';
 			if (islower(*t))
@@ -374,7 +374,7 @@
 	    strdup(p) : NULL;
 	pn->homephone = ((p = strsep(&bp, ",")) && *p) ?
 	    strdup(p) : NULL;
-	(void)snprintf(tbuf, sizeof(tbuf), "%s/%s", _PATH_MAILDIR, pw->pw_name);
+	snprintf(tbuf, sizeof(tbuf), "%s/%s", _PATH_MAILDIR, pw->pw_name);
 	pn->mailrecv = -1;		/* -1 == not_valid */
 	if (stat(tbuf, &sb) < 0) {
 		if (errno != ENOENT) {
Index: fmt/fmt.c
===================================================================
RCS file: /cvs/src/usr.bin/fmt/fmt.c,v
retrieving revision 1.2
diff -u -u -r1.2 fmt.c
--- fmt/fmt.c	17 Jun 2003 04:29:26 -0000	1.2
+++ fmt/fmt.c	7 Nov 2004 20:02:14 -0000
@@ -252,7 +252,7 @@
   int ch;			/* used for |getopt| processing */
 
 
-  (void) setlocale(LC_CTYPE, "");
+  setlocale(LC_CTYPE, "");
 
   /* 1. Grok parameters. */
 
Index: fold/fold.c
===================================================================
RCS file: /cvs/src/usr.bin/fold/fold.c,v
retrieving revision 1.3
diff -u -u -r1.3 fold.c
--- fold/fold.c	4 Oct 2003 20:36:44 -0000	1.3
+++ fold/fold.c	7 Nov 2004 20:02:14 -0000
@@ -64,7 +64,7 @@
 	int rval, width;
 	char *p;
 
-	(void) setlocale(LC_CTYPE, "");
+	setlocale(LC_CTYPE, "");
 
 	width = -1;
 	while ((ch = getopt(argc, argv, "0123456789bsw:")) != -1)
@@ -113,7 +113,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: fold [-bs] [-w width] [file ...]\n");
+	fprintf(stderr, "usage: fold [-bs] [-w width] [file ...]\n");
 	exit(1);
 }
 
Index: from/from.c
===================================================================
RCS file: /cvs/src/usr.bin/from/from.c,v
retrieving revision 1.3
diff -u -u -r1.3 from.c
--- from/from.c	4 Oct 2003 20:36:44 -0000	1.3
+++ from/from.c	7 Nov 2004 20:02:14 -0000
@@ -85,14 +85,14 @@
 
 	if (!file) {
 		if (*argv) {
-			(void)snprintf(buf, sizeof(buf), "%s/%s", _PATH_MAILDIR, *argv);
+			snprintf(buf, sizeof(buf), "%s/%s", _PATH_MAILDIR, *argv);
 			file  = buf;
 		} else {
 			if (!(file = getenv("MAIL"))) {
 				if (!(pwd = getpwuid(getuid())))
 					errx(1, "no password file entry for you");
 				file = pwd->pw_name;
-				(void)snprintf(buf, sizeof(buf),
+				snprintf(buf, sizeof(buf),
 				    "%s/%s", _PATH_MAILDIR, file);
 				file = buf;
 			}
Index: fstat/fstat.c
===================================================================
RCS file: /cvs/src/usr.bin/fstat/fstat.c,v
retrieving revision 1.9
diff -u -u -r1.9 fstat.c
--- fstat/fstat.c	3 Sep 2004 20:37:58 -0000	1.9
+++ fstat/fstat.c	7 Nov 2004 20:02:14 -0000
@@ -495,18 +495,18 @@
 	}
 	PREFIX(i);
 	if (badtype) {
-		(void)printf(" -         -  %10s    -\n", badtype);
+		printf(" -         -  %10s    -\n", badtype);
 		return;
 	}
 	if (nflg)
-		(void)printf(" %2d,%-2d", major(fst.fsid), minor(fst.fsid));
+		printf(" %2d,%-2d", major(fst.fsid), minor(fst.fsid));
 	else
-		(void)printf(" %-8s", getmnton(vn.v_mount));
+		printf(" %-8s", getmnton(vn.v_mount));
 	if (nflg)
-		(void)sprintf(mode, "%o", fst.mode);
+		sprintf(mode, "%o", fst.mode);
 	else
 		strmode(fst.mode, mode);
-	(void)printf(" %6ld %10s", fst.fileid, mode);
+	printf(" %6ld %10s", fst.fileid, mode);
 	switch (vn.v_type) {
 	case VBLK:
 	case VCHR: {
@@ -843,7 +843,7 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
  "usage: fstat [-fmnv] [-p pid] [-u user] [-N system] [-M core] [file ...]\n");
 	exit(1);
 }
Index: ftp/cmds.c
===================================================================
RCS file: /cvs/src/usr.bin/ftp/cmds.c,v
retrieving revision 1.3
diff -u -u -r1.3 cmds.c
--- ftp/cmds.c	4 Oct 2003 20:36:44 -0000	1.3
+++ ftp/cmds.c	7 Nov 2004 20:02:14 -0000
@@ -120,7 +120,7 @@
 	else
 		comret = command("TYPE %s", p->t_mode);
 	if (comret == COMPLETE) {
-		(void)strcpy(typename, p->t_name);
+		strcpy(typename, p->t_name);
 		curtype = type = p->t_type;
 	}
 }
@@ -304,7 +304,7 @@
 	mname = argv[0];
 	mflag = 1;
 	oldintr = signal(SIGINT, mabort);
-	(void)setjmp(jabort);
+	setjmp(jabort);
 	if (proxy) {
 		char *cp, *tp2, tmpbuf[MAXPATHLEN];
 
@@ -349,7 +349,7 @@
 				}
 			}
 		}
-		(void)signal(SIGINT, oldintr);
+		signal(SIGINT, oldintr);
 		mflag = 0;
 		return;
 	}
@@ -401,7 +401,7 @@
 		}
 		globfree(&gl);
 	}
-	(void)signal(SIGINT, oldintr);
+	signal(SIGINT, oldintr);
 	mflag = 0;
 }
 
@@ -409,14 +409,14 @@
 reget(int argc, char **argv)
 {
 
-	(void)getit(argc, argv, 1, "r+w");
+	getit(argc, argv, 1, "r+w");
 }
 
 void
 get(int argc, char **argv)
 {
 
-	(void)getit(argc, argv, 0, restart_point ? "r+w" : "w" );
+	getit(argc, argv, 0, restart_point ? "r+w" : "w" );
 }
 
 /*
@@ -515,7 +515,7 @@
 
 	alarmtimer(0);
 	putchar('\n');
-	(void)fflush(stdout);
+	fflush(stdout);
 	if (mflag && fromatty) {
 		ointer = interactive;
 		oconf = confirmrest;
@@ -551,7 +551,7 @@
 	mname = argv[0];
 	mflag = 1;
 	oldintr = signal(SIGINT, mabort);
-	(void)setjmp(jabort);
+	setjmp(jabort);
 	while ((cp = remglob(argv, proxy, NULL)) != NULL) {
 		if (*cp == '\0') {
 			mflag = 0;
@@ -585,7 +585,7 @@
 			}
 		}
 	}
-	(void)signal(SIGINT, oldintr);
+	signal(SIGINT, oldintr);
 	mflag = 0;
 }
 
@@ -985,7 +985,7 @@
 		code = -1;
 		return;
 	}
-	(void)command("DELE %s", argv[1]);
+	command("DELE %s", argv[1]);
 }
 
 /*
@@ -1006,14 +1006,14 @@
 	mname = argv[0];
 	mflag = 1;
 	oldintr = signal(SIGINT, mabort);
-	(void)setjmp(jabort);
+	setjmp(jabort);
 	while ((cp = remglob(argv, 0, NULL)) != NULL) {
 		if (*cp == '\0') {
 			mflag = 0;
 			continue;
 		}
 		if (mflag && confirm(argv[0], cp)) {
-			(void)command("DELE %s", cp);
+			command("DELE %s", cp);
 			if (!mflag && fromatty) {
 				ointer = interactive;
 				interactive = 1;
@@ -1024,7 +1024,7 @@
 			}
 		}
 	}
-	(void)signal(SIGINT, oldintr);
+	signal(SIGINT, oldintr);
 	mflag = 0;
 }
 
@@ -1044,7 +1044,7 @@
 		return;
 	}
 	if (command("RNFR %s", argv[1]) == CONTINUE)
-		(void)command("RNTO %s", argv[2]);
+		command("RNTO %s", argv[2]);
 }
 
 /*
@@ -1120,7 +1120,7 @@
 	mname = argv[0];
 	mflag = 1;
 	oldintr = signal(SIGINT, mabort);
-	(void)setjmp(jabort);
+	setjmp(jabort);
 	for (i = 1; mflag && i < argc-1; ++i) {
 		*mode = (i == 1) ? 'w' : 'a';
 		recvrequest(dolist ? "LIST" : "NLST", dest, argv[i], mode,
@@ -1134,7 +1134,7 @@
 			interactive = ointer;
 		}
 	}
-	(void)signal(SIGINT, oldintr);
+	signal(SIGINT, oldintr);
 	mflag = 0;
 	if (dest != odest)			/* free up after globulize() */
 		free(dest);
@@ -1156,9 +1156,9 @@
 	old2 = signal (SIGQUIT, SIG_IGN);
 	if ((pid = fork()) == 0) {
 		for (pid = 3; pid < 20; pid++)
-			(void)close(pid);
-		(void)signal(SIGINT, SIG_DFL);
-		(void)signal(SIGQUIT, SIG_DFL);
+			close(pid);
+		signal(SIGINT, SIG_DFL);
+		signal(SIGQUIT, SIG_DFL);
 		shell = getenv("SHELL");
 		if (shell == NULL)
 			shell = _PATH_BSHELL;
@@ -1166,13 +1166,13 @@
 		if (namep == NULL)
 			namep = shell;
 		shellnam[0] = '-';
-		(void)strncpy(shellnam + 1, ++namep, sizeof(shellnam) - 2);
+		strncpy(shellnam + 1, ++namep, sizeof(shellnam) - 2);
 		shellnam[sizeof(shellnam) - 1] = '\0';
 		if (strcmp(namep, "sh") != 0)
 			shellnam[0] = '+';
 		if (debug) {
 			puts(shell);
-			(void)fflush(stdout);
+			fflush(stdout);
 		}
 		if (argc > 1) {
 			execl(shell, shellnam, "-c", altarg, (char *)0);
@@ -1187,8 +1187,8 @@
 	if (pid > 0)
 		while (wait(&wait_status) != pid)
 			;
-	(void)signal(SIGINT, old1);
-	(void)signal(SIGQUIT, old2);
+	signal(SIGINT, old1);
+	signal(SIGQUIT, old2);
 	if (pid == -1) {
 		warn("Try again later");
 		code = -1;
@@ -1208,7 +1208,7 @@
 	int n, aflag = 0;
 
 	if (argc < 2)
-		(void)another(&argc, &argv, "username");
+		another(&argc, &argv, "username");
 	if (argc < 2 || argc > 4) {
 		printf("usage: %s username [password] [account]\n", argv[0]);
 		code = -1;
@@ -1222,9 +1222,9 @@
 	}
 	if (n == CONTINUE) {
 		if (argc < 4) {
-			(void)fputs("Account: ", stdout);
-			(void)fflush(stdout);
-			(void)fgets(acct, sizeof(acct) - 1, stdin);
+			fputs("Account: ", stdout);
+			fflush(stdout);
+			fgets(acct, sizeof(acct) - 1, stdin);
 			acct[strlen(acct) - 1] = '\0';
 			argv[3] = acct; argc++;
 		}
@@ -1236,7 +1236,7 @@
 		return;
 	}
 	if (!aflag && argc == 4) {
-		(void)command("ACCT %s", argv[3]);
+		command("ACCT %s", argv[3]);
 	}
 	connected = -1;
 }
@@ -1256,7 +1256,7 @@
 	verbose = 1;
 	if (command("PWD") == ERROR && code == 500) {
 		puts("PWD command not recognized, trying XPWD.");
-		(void)command("XPWD");
+		command("XPWD");
 	}
 	verbose = oldverbose;
 }
@@ -1292,7 +1292,7 @@
 	if (command("MKD %s", argv[1]) == ERROR && code == 500) {
 		if (verbose)
 			puts("MKD command not recognized, trying XMKD.");
-		(void)command("XMKD %s", argv[1]);
+		command("XMKD %s", argv[1]);
 	}
 }
 
@@ -1312,7 +1312,7 @@
 	if (command("RMD %s", argv[1]) == ERROR && code == 500) {
 		if (verbose)
 			puts("RMD command not recognized, trying XRMD.");
-		(void)command("XRMD %s", argv[1]);
+		command("XRMD %s", argv[1]);
 	}
 }
 
@@ -1386,7 +1386,7 @@
 		code = -1;
 		return;
 	}
-	(void)command("SITE CHMOD %s %s", argv[1], argv[2]);
+	command("SITE CHMOD %s %s", argv[1], argv[2]);
 }
 
 void
@@ -1395,7 +1395,7 @@
 	int oldverbose = verbose;
 
 	verbose = 1;
-	(void)command(argc == 1 ? "SITE UMASK" : "SITE UMASK %s", argv[1]);
+	command(argc == 1 ? "SITE UMASK" : "SITE UMASK %s", argv[1]);
 	verbose = oldverbose;
 }
 
@@ -1405,7 +1405,7 @@
 	int oldverbose = verbose;
 
 	verbose = 1;
-	(void)command(argc == 1 ? "SITE IDLE" : "SITE IDLE %s", argv[1]);
+	command(argc == 1 ? "SITE IDLE" : "SITE IDLE %s", argv[1]);
 	verbose = oldverbose;
 }
 
@@ -1418,7 +1418,7 @@
 	int oldverbose = verbose;
 
 	verbose = 1;
-	(void)command(argc == 1 ? "HELP" : "HELP %s", argv[1]);
+	command(argc == 1 ? "HELP" : "HELP %s", argv[1]);
 	verbose = oldverbose;
 }
 
@@ -1448,9 +1448,9 @@
 
 	if (!connected)
 		return;
-	(void)command("QUIT");
+	command("QUIT");
 	if (cout) {
-		(void)fclose(cout);
+		fclose(cout);
 	}
 	cout = NULL;
 	connected = 0;
@@ -1474,7 +1474,7 @@
 		ap = argv[1];
 	else
 		ap = getpass("Account:");
-	(void)command("ACCT %s", ap);
+	command("ACCT %s", ap);
 }
 
 jmp_buf abortprox;
@@ -1512,19 +1512,19 @@
 	c = getcmd(argv[1]);
 	if (c == (struct cmd *) -1) {
 		puts("?Ambiguous command.");
-		(void)fflush(stdout);
+		fflush(stdout);
 		code = -1;
 		return;
 	}
 	if (c == 0) {
 		puts("?Invalid command.");
-		(void)fflush(stdout);
+		fflush(stdout);
 		code = -1;
 		return;
 	}
 	if (!c->c_proxy) {
 		puts("?Invalid proxy command.");
-		(void)fflush(stdout);
+		fflush(stdout);
 		code = -1;
 		return;
 	}
@@ -1536,9 +1536,9 @@
 	pswitch(1);
 	if (c->c_conn && !connected) {
 		puts("Not connected.");
-		(void)fflush(stdout);
+		fflush(stdout);
 		pswitch(0);
-		(void)signal(SIGINT, oldintr);
+		signal(SIGINT, oldintr);
 		code = -1;
 		return;
 	}
@@ -1553,7 +1553,7 @@
 		proxflag = 0;
 	}
 	pswitch(0);
-	(void)signal(SIGINT, oldintr);
+	signal(SIGINT, oldintr);
 }
 
 void
@@ -1581,13 +1581,13 @@
 	}
 	ntflag++;
 	code = ntflag;
-	(void)strncpy(ntin, argv[1], sizeof(ntin) - 1);
+	strncpy(ntin, argv[1], sizeof(ntin) - 1);
 	ntin[sizeof(ntin) - 1] = '\0';
 	if (argc == 2) {
 		ntout[0] = '\0';
 		return;
 	}
-	(void)strncpy(ntout, argv[2], sizeof(ntout) - 1);
+	strncpy(ntout, argv[2], sizeof(ntout) - 1);
 	ntout[sizeof(ntout) - 1] = '\0';
 }
 
@@ -1645,10 +1645,10 @@
 		cp = strchr(altarg, ' ');
 	}
 	*cp = '\0';
-	(void)strncpy(mapin, altarg, MAXPATHLEN - 1);
+	strncpy(mapin, altarg, MAXPATHLEN - 1);
 	while (*++cp == ' ')
 		continue;
-	(void)strncpy(mapout, cp, MAXPATHLEN - 1);
+	strncpy(mapout, cp, MAXPATHLEN - 1);
 }
 
 char *
@@ -1905,7 +1905,7 @@
 syst(int argc, char **argv)
 {
 
-	(void)command("SYST");
+	command("SYST");
 }
 
 void
@@ -1927,7 +1927,7 @@
 	if (interactive)
 		puts(
 "Enter macro line by line, terminating it with a null line.");
-	(void)strncpy(macros[macnum].mac_name, argv[1],
+	strncpy(macros[macnum].mac_name, argv[1],
 	    sizeof(macros[macnum].mac_name) - 1);
 	macros[macnum].mac_name[sizeof(macros[macnum].mac_name) - 1] = '\0';
 	if (macnum == 0)
@@ -2022,7 +2022,7 @@
 rmtstatus(int argc, char **argv)
 {
 
-	(void)command(argc > 1 ? "STAT %s" : "STAT" , argv[1]);
+	command(argc > 1 ? "STAT %s" : "STAT" , argv[1]);
 }
 
 /*
@@ -2061,13 +2061,13 @@
 		p = PAGER;
 	if ((pager = malloc(strlen(p) + 2)) == NULL)
 		errx(1, "Can't allocate memory for $PAGER");
-	(void)sprintf(pager, "|%s", p);
+	sprintf(pager, "|%s", p);
 
 	ohash = hash;
 	overbose = verbose;
 	hash = verbose = 0;
 	recvrequest("RETR", pager, argv[1], "r+w", 1, 0);
-	(void)free(pager);
+	free(pager);
 	hash = ohash;
 	verbose = overbose;
 	if (oldargv1 != argv[1])	/* free up after globulize() */
Index: ftp/complete.c
===================================================================
RCS file: /cvs/src/usr.bin/ftp/complete.c,v
retrieving revision 1.3
diff -u -u -r1.3 complete.c
--- ftp/complete.c	4 Oct 2003 20:36:44 -0000	1.3
+++ ftp/complete.c	7 Nov 2004 20:02:14 -0000
@@ -112,7 +112,7 @@
 				matchlen = j;
 		}
 		if (matchlen > wordlen) {
-			(void)strncpy(insertstr, lastmatch, matchlen);
+			strncpy(insertstr, lastmatch, matchlen);
 			insertstr[matchlen] = '\0';
 			if (el_insertstr(el, insertstr + wordlen) == -1)
 				return (CC_ERROR);
@@ -178,7 +178,7 @@
 			dir[0] = '/';
 			dir[1] = '\0';
 		} else {
-			(void)strncpy(dir, word, file - word);
+			strncpy(dir, word, file - word);
 			dir[file - word] = '\0';
 		}
 		file++;
@@ -234,7 +234,7 @@
 		cp = file;
 		while (*cp == '/' && cp > word)
 			cp--;
-		(void)strncpy(dir, word, cp - word + 1);
+		strncpy(dir, word, cp - word + 1);
 		dir[cp - word + 1] = '\0';
 		file++;
 	}
@@ -271,7 +271,7 @@
 			printf("\n%s\n", emesg);
 			return (CC_REDISPLAY);
 		}
-		(void)strcpy(lastdir, dir);
+		strcpy(lastdir, dir);
 		dirchange = 0;
 	}
 
@@ -306,7 +306,7 @@
 	len = lf->lastchar - lf->buffer;
 	if (len >= sizeof(line))
 		return (CC_ERROR);
-	(void)strncpy(line, lf->buffer, len);
+	strncpy(line, lf->buffer, len);
 	line[len] = '\0';
 	cursor_pos = line + (lf->cursor - lf->buffer);
 	lastc_argc = cursor_argc;	/* remember last cursor pos */
@@ -322,7 +322,7 @@
 	    && strncmp(word, margv[cursor_argc], cursor_argo) == 0)
 		dolist = 1;
 	else
-	    (void)strncpy(word, margv[cursor_argc], cursor_argo);
+	    strncpy(word, margv[cursor_argc], cursor_argo);
 	word[cursor_argo] = '\0';
 
 	if (cursor_argc == 0)
Index: ftp/domacro.c
===================================================================
RCS file: /cvs/src/usr.bin/ftp/domacro.c,v
retrieving revision 1.3
diff -u -u -r1.3 domacro.c
--- ftp/domacro.c	4 Oct 2003 20:36:44 -0000	1.3
+++ ftp/domacro.c	7 Nov 2004 20:02:14 -0000
@@ -70,7 +70,7 @@
 		code = -1;
 		return;
 	}
-	(void)strcpy(line2, line);
+	strcpy(line2, line);
 TOP:
 	cp1 = macros[i].mac_start;
 	while (cp1 != macros[i].mac_end) {
@@ -91,7 +91,7 @@
 				    }
 				    cp1--;
 				    if (argc - 2 >= j) {
-					(void)strcpy(cp2, argv[j+1]);
+					strcpy(cp2, argv[j+1]);
 					cp2 += strlen(argv[j+1]);
 				    }
 				    break;
@@ -100,7 +100,7 @@
 					loopflg = 1;
 					cp1++;
 					if (count < argc) {
-					   (void)strcpy(cp2, argv[count]);
+					   strcpy(cp2, argv[count]);
 					   cp2 += strlen(argv[count]);
 					}
 					break;
@@ -134,9 +134,9 @@
 				puts(line);
 			(*c->c_handler)(margc, margv);
 			if (bell && c->c_bell) {
-				(void)putchar('\007');
+				putchar('\007');
 			}
-			(void)strcpy(line, line2);
+			strcpy(line, line2);
 			makeargv();
 			argc = margc;
 			argv = margv;
Index: ftp/fetch.c
===================================================================
RCS file: /cvs/src/usr.bin/ftp/fetch.c,v
retrieving revision 1.3
diff -u -u -r1.3 fetch.c
--- ftp/fetch.c	4 Oct 2003 20:36:44 -0000	1.3
+++ ftp/fetch.c	7 Nov 2004 20:02:14 -0000
@@ -110,9 +110,9 @@
 	res0 = NULL;
 
 #ifdef __GNUC__			/* XXX: to shut up gcc warnings */
-	(void)&savefile;
-	(void)&proxy;
-	(void)&res0;
+	&savefile;
+	&proxy;
+	&res0;
 #endif
 
 	line = strdup(origline);
@@ -238,7 +238,7 @@
 	      {
 		res = res->ai_next;
 		if (res) {
-			(void)close(s);
+			close(s);
 			continue;
 		}
 		getnameinfo(bindres->ai_addr, bindres->ai_addrlen,
@@ -253,7 +253,7 @@
 	if (connect(s, res->ai_addr, res->ai_addrlen) < 0) {
 		res = res->ai_next;
 		if (res) {
-			(void)close(s);
+			close(s);
 			continue;
 		}
 		warn("Can't connect to %s", host);
@@ -359,7 +359,7 @@
 	oldintr = NULL;
 	if (setjmp(httpabort)) {
 		if (oldintr)
-			(void)signal(SIGINT, oldintr);
+			signal(SIGINT, oldintr);
 		goto cleanup_url_get;
 	}
 	oldintr = signal(SIGINT, aborthttp);
@@ -382,17 +382,17 @@
 		}
 		if (hash && !progress) {
 			while (bytes >= hashbytes) {
-				(void)putchar('#');
+				putchar('#');
 				hashbytes += mark;
 			}
-			(void)fflush(stdout);
+			fflush(stdout);
 		}
 	}
 	if (hash && !progress && bytes > 0) {
 		if (bytes < mark)
-			(void)putchar('#');
-		(void)putchar('\n');
-		(void)fflush(stdout);
+			putchar('#');
+		putchar('\n');
+		fflush(stdout);
 	}
 	if (len != 0) {
 		warn("Reading from socket");
@@ -401,7 +401,7 @@
 	progressmeter(1);
 	if (verbose)
 		puts("Successfully retrieved file.");
-	(void)signal(SIGINT, oldintr);
+	signal(SIGINT, oldintr);
 
 	close(s);
 	close(out);
@@ -438,7 +438,7 @@
 
 	alarmtimer(0);
 	puts("\nhttp fetch aborted.");
-	(void)fflush(stdout);
+	fflush(stdout);
 	longjmp(httpabort, 1);
 }
 
@@ -476,8 +476,8 @@
 			disconnect(0, NULL);
 		return (argpos + 1);
 	}
-	(void)signal(SIGINT, (sig_t)intr);
-	(void)signal(SIGPIPE, (sig_t)lostpeer);
+	signal(SIGINT, (sig_t)intr);
+	signal(SIGPIPE, (sig_t)lostpeer);
 
 	ftpproxy = getenv(FTP_PROXY);
 	httpproxy = getenv(HTTP_PROXY);
@@ -598,7 +598,7 @@
 		if (strcmp(host, lasthost) != 0) {
 			int oautologin;
 
-			(void)strcpy(lasthost, host);
+			strcpy(lasthost, host);
 			if (connected)
 				disconnect(0, NULL);
 			xargv[0] = __progname;
